/*******************Mavigation Css****************/

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-track {
    background: #ffe5e5;
}

::-webkit-scrollbar-thumb {
    background: #E83638;
}

::-webkit-scrollbar-thumb:hover {
    background: #8b1315;
}

.home ::-webkit-scrollbar {
    width: 0px;
}

/* header start */
.header {
    padding: 20px 0px;

    .nav_menu {
        .logo_wrap {
            width: 350px;
            height: auto;
            transition: all 0.5s;

            a {
                display: block;
                width: 100%;
                height: 100%;

                img {
                    width: 100%;
                    height: 100%;
                    display: block;
                    object-fit: contain;
                }
            }
        }

        .headerMenu {
            width: calc(100% - 350px);
            padding-right: 200px;
            transition: all 0.5s;

            .headerUl {
                display: flex;
                justify-content: flex-end;

                li {
                    padding: 0px 18px;
                    margin-bottom: 0;

                    a {
                        color: #000;
                        font-family: 'Founders Grotesk';
                        font-weight: 500;
                        transition: all 0.5s;

                        &:hover,
                        &.active {
                            color: #E83638;
                        }
                    }
                }
            }
        }

        .headerToggle {
            display: flex;
            justify-content: center;
            align-items: center;
            display: none;
            width: 40px;
            height: 40px;
            border-radius: 50%;
            background-color: #e83638;
            transition: all 0.5s;

            i {
                color: #fff;
                font-size: 20px;
                transition: all 0.5s;
            }
        }
    }

    &.stickyHeader {
        background-image: url(../images/footer-bg.png);
        background-color: #fdefe4 !important;
        position: fixed !important;
        box-shadow: 0px -3px 18px 1px rgba(0, 0, 0, 0.3);
        animation: slideDown 0.35s ease-out;
        z-index: 99 !important;
        width: 100%;
        top: 0;
        left: 0;
        right: 0;
        padding: 0;

        .nav_menu {
            .logo_wrap {
                width: 220px;
                padding: 10px 0px;
            }

            .headerMenu {
                padding-right: 0;

                .headerUl {
                    li {
                        a {
                            font-size: 16px;
                        }
                    }
                }
            }
        }
    }
}

@keyframes slideDown {
    0% {
        transform: translateY(-100%);
    }

    100% {
        transform: translateY(0);
    }
}

/* header end */

.innerPage {
    .header {
        background-image: url(../images/footer-bg.png);
        background-repeat: no-repeat;
        background-size: cover;

        .nav_menu {
            .headerMenu {
                padding-right: 0;
            }
        }
    }
}

/* scroll to top start */

.sideMenuWrap {
    width: 400px;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    background-color: #fff;
    z-index: 102;
    transform: translateX(100%);
    transition: 0.5s;

    .sideMenuTop {
        padding: 25px 20px;
        display: flex;
        align-items: center;
        position: relative;
        justify-content: space-between;
        align-items: flex-start;

        &::after {
            width: 0;
            height: 1px;
            position: absolute;
            content: "";
            left: 0;
            bottom: 0;
            background: #e83638;
            transition: 1s;
        }

        .sideLogo {
            width: 200px;
            height: auto;

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        }

        .closeIcon {
            cursor: pointer;
            color: #000;
            font-size: 25px;
            transition: 0.5s;

            &:hover {
                transform: rotate(90deg);
            }
        }
    }

    .sideMenu {
        padding: 25px 15px;
        padding-top: 15px;

        ul {
            li {
                width: 100%;
                display: block;
                position: relative;

                &:not(:last-child) {
                    &::after {
                        width: 0;
                        height: 1px;
                        position: absolute;
                        content: "";
                        left: 0;
                        bottom: 0;
                        background: #7979794a;
                        transition: 2s;
                    }
                }

                a {
                    color: #000;
                    display: inline-flex;
                    /* padding: 15px 0; */
                    font-size: 16px;
                    font-weight: 600;
                    margin: 2px 0;
                    padding: 10px;
                    border-radius: 8px;
                    transition: 0.6s;
                }

                &.mobDrop {
                    position: relative;

                    .toggleBtn2 {
                        position: absolute;
                        right: 0;
                        top: 8px;
                        width: 30px;
                        height: 30px;
                        display: flex;
                        z-index: 2;
                        align-items: center;
                        justify-content: center;
                        cursor: pointer;
                        /* color: #474747; */
                        color: #888;
                        background-color: #f7f8fa;
                        border-radius: 8px;
                        font-size: 14px;
                        transition: 0.5s;
                    }

                    ul {
                        display: none;
                        padding-left: 10px;

                        li {
                            ul {
                                display: none;
                            }
                        }

                        li:first-child {
                            .toggleBtn2 {
                                top: 7px;
                            }

                            ul {
                                li {
                                    a {
                                        padding: 10px 0;
                                    }

                                    /* &:first-child {
                                        a {
                                            padding-top: 0px;
                                        }
                                    } */
                                }
                            }
                        }
                    }

                    &.active {
                        .toggleBtn2 {
                            transform: rotate(180deg);
                        }

                        &>a {
                            display: block;
                            color: #ffffff;
                            background-color: #E30011;

                            &+.toggleBtn2 {
                                right: 7px;
                                top: 6px;
                                color: #ffffff;
                            }
                        }
                    }

                    &.open {
                        .toggleBtn2 {
                            transform: rotate(180deg);
                        }

                        &>a {
                            display: block;
                            /* color: #000; */
                            /* background-color: #FFCF30; */
                            /* background-color: #cdcdcd; */
                            background-color: #fff8e8;
                            color: #c88000;

                            &+.toggleBtn2 {
                                right: 7px;
                                top: 6px;
                                color: #000;
                                background-color: #f5a800;
                            }
                        }

                        ul {
                            li {
                                &.mobDrop {
                                    a {
                                        position: relative;
                                        padding-left: 24px;
                                        font-size: 14px;

                                        &::before {
                                            content: "";
                                            position: absolute;
                                            top: 16px;
                                            left: 10px;
                                            width: 6px;
                                            height: 6px;
                                            border-radius: 50%;
                                            border-radius: 10px;
                                            background-color: #d5d6da;
                                            transition: .4s;
                                        }
                                    }

                                    .toggleBtn2 {
                                        transform: rotate(0deg);
                                    }

                                    &.open {
                                        &>a {
                                            display: block;
                                            /* color: #000; */
                                            color: #b87800;
                                            /* background-color: #FFCF30; */
                                            /* background-color: transparent; */
                                            background-color: #f5a80012;

                                            &+.toggleBtn2 {
                                                /* right: 7px; */
                                                top: 7px;
                                                color: #000;
                                            }

                                            &::before {
                                                background-color: #f5a800;
                                            }
                                        }

                                        .toggleBtn2 {
                                            transform: rotate(180deg);
                                        }

                                        ul {
                                            li {
                                                &.mobDrop {
                                                    .toggleBtn2 {
                                                        transform: rotate(0deg);
                                                    }

                                                    &.open {
                                                        &>a {
                                                            display: block;
                                                            color: #000;
                                                            /* background-color: #FFCF30; */
                                                            background-color: transparent;
                                                            padding: 10px;
                                                            padding-left: 24px;

                                                            &+.toggleBtn2 {
                                                                /* right: 7px; */
                                                                top: 7px;
                                                                color: #000;
                                                            }

                                                        }

                                                        .toggleBtn2 {
                                                            transform: rotate(180deg);
                                                        }

                                                        ul {
                                                            li {
                                                                a {
                                                                    padding-top: 4px;
                                                                    padding-left: 34px;

                                                                    &::before {
                                                                        top: 11px;
                                                                        width: 15px;
                                                                        height: 2px;
                                                                        left: 13px;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .sideMenuMiddle {
        display: flex;
        height: calc(100vh - 80px);
        overflow: auto;

        .sideSocial {
            width: 50px;
            height: 100%;

            .socialWrap {
                transform: rotate(180deg);
                writing-mode: vertical-rl;
                width: 100%;
                height: 100%;
                align-items: center;
                justify-content: center;
                display: flex;
                gap: 30px;
                background-color: #2020209c;

                h5 {
                    color: #b6b6b6;
                    text-transform: uppercase;
                    font-family: "Work Sans";
                    font-size: 16px;
                }

                .socialIcon {
                    display: flex;
                    gap: 25px;
                    writing-mode: sideways-rl;

                    a {
                        font-size: 16px;
                        color: #b6b6b6;
                        transition: 0.5s;

                        &:hover {
                            color: #dfb43f;
                        }
                    }
                }
            }
        }

        .sideMenu {
            width: 100%;
            position: relative;

            &::before {
                width: 1px;
                height: 0;
                position: absolute;
                left: 0;
                top: 0;
                content: "";
                background-color: #cecece4a;
                transition: 2s;
            }
        }
    }
}

.sideNav {
    height: 100vh;
    overflow: hidden;

    .sideMenuWrap {
        transform: translateX(0);

        .sideMenuTop {
            &::after {
                width: 100%;
            }
        }

        .sideMenuMiddle {
            .sideMenu {
                &::before {
                    height: 100%;
                }
            }
        }

        .sideMenu {
            ul {
                li {
                    &:not(:last-child) {
                        &::after {
                            width: 100%;
                        }
                    }

                    &.active {
                        >a {
                            color: #E30011;
                        }
                    }

                    &.has_submenu {
                        &.active {
                            &>a {
                                display: block;
                                color: #ffffff;
                                background-color: #e30011;

                                &+.toggleBtn2 {
                                    color: #fff;
                                }
                            }

                            &>ul {
                                display: block;
                            }

                            ul {
                                .active {
                                    &>a {
                                        display: block;
                                        color: #ffffff;
                                        background-color: #E30011;
                                    }

                                    ul {
                                        .active {
                                            &>a {
                                                color: #e30011;
                                                background-color: transparent;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

.overflowPage {
    opacity: 0;
    visibility: hidden;
    transition: 0.2s;

    &.sideOverlay {
        position: fixed;
        width: 100%;
        height: 100%;
        backdrop-filter: blur(10px);
        top: 0;
        left: 0;
        opacity: 1;
        visibility: visible;
        z-index: 100;
        background-color: #ffffff63;
        transition: 0.5s;
    }
}

.go2Top {
    display: none;
    visibility: hidden;
    opacity: 0;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background: linear-gradient(90deg, #583E66 15%, #E83638 100%);
    color: #fff;
    position: fixed;
    bottom: 30px;
    right: 20px;
    box-shadow: 0px 0px 17px 0px #0000066e;
    cursor: pointer;
    z-index: 80;
    transition: all 0.5s;
    animation: jump 1s ease-in-out infinite;

    i {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 25px;
    }

    &.show {
        display: block;
        visibility: visible;
        opacity: 1;
    }
}

/* scroll to top end */

/* === breadcrumb start === */

.breadcrumbWrap {
    padding: 0px;

    .breadcrumb {
        padding: 0px;
        margin-bottom: 0px;
        background-color: #fff;
        flex-wrap: nowrap !important;
        border-bottom: 2px solid #e7343a3b;

        li {
            margin-bottom: 0px;

            a {
                padding: 16px 30px 10px;
                display: inline-block;
                color: #e7343a;
                line-height: 1;
                height: 100%;
                width: 100%;
            }

            &:first-child {
                a {
                    padding-left: 115px;
                    padding-left: 115px;
                    position: relative;
                    background-color: #e7343a3b;
                }
            }

            &:last-child {
                a {
                    position: relative;
                    cursor: auto;
                    pointer-events: none;

                    &::before {
                        content: "";
                        position: absolute;
                        top: 0;
                        left: 0px;
                        width: 25px;
                        height: 100%;
                        background-color: #e7343a3b;
                        clip-path: polygon(0 0, 100% 0, 0 100%);
                    }
                }
            }
        }
    }
}

/* === breadcrumb end === */


.footerSec {
    padding: 100px 0px 60px;
    background-repeat: no-repeat;
    background-size: cover;

    .footerLogo {
        width: 450px;
        height: auto;
        margin: 0px auto;

        a {
            display: block;
            width: 100%;
            height: 100%;

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        }
    }

    .footerBtm {
        padding-top: 50px;

        .footerBtmRow {
            row-gap: 20px;

            .footerBtmCol {
                &:not(:last-child) {
                    border-right: 1px solid rgba(0, 0, 0, 0.25);
                }
            }

            .footerBtmDiv {
                .footerBtmTxt {
                    display: flex;
                    align-items: center;
                    margin-bottom: 20px;

                    .footIconDiv {
                        width: 46px;
                        height: 46px;
                        border-radius: 50%;
                        background-color: #E83638;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        padding: 10px;

                        img {
                            width: 100%;
                            height: 100%;
                            object-fit: contain;
                        }
                    }

                    .footTxtInn {
                        width: calc(100% - 46px);
                        padding-left: 5px;
                    }
                }

                .footTxtPara {
                    font-family: 'Founders Grotesk';
                    font-size: 25px;
                    line-height: 1.3;
                    color: #000;
                    font-weight: 400;
                    margin-bottom: 0;
                    padding-left: 10px;

                    a {
                        color: #000;
                        transition: all 0.5s;

                        &:hover {
                            color: #E83638;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 1600px) {
    .breadcrumbWrap {
        .breadcrumb {
            li {
                a {
                    font-size: 18px !important;
                }

                &:first-child {
                    a {
                        padding-left: 95px;
                    }
                }
            }
        }
    }

    .footerSec {
        .footerBtm {
            .footerBtmRow {
                .footerBtmDiv {
                    .footerBtmTxt {
                        margin-bottom: 12px;
                    }

                    .footTxtPara {
                        font-size: 22px;
                    }
                }
            }
        }
    }
}

@media (max-width: 1480px) {
    .header {
        .nav_menu {
            .logo_wrap {
                width: 250px;
            }

            .headerMenu {
                width: calc(100% - 250px);
                padding-right: 80px;

                .headerUl {
                    li {
                        padding: 0px 15px;
                        font-size: 16px;
                    }
                }
            }
        }
    }

    .footerSec {
        .footerLogo {
            width: 400px;
        }

        .footerBtm {
            .footerBtmRow {
                .footerBtmDiv {
                    .footerBtmTxt {
                        .footIconDiv {
                            width: 40px;
                            height: 40px;
                            padding: 8px;
                        }
                    }

                    .footTxtPara {
                        font-size: 18px;
                    }
                }
            }
        }
    }

}

@media (max-width: 1366px) {
    .header {
        .nav_menu {
            .headerMenu {
                padding-right: 100px;

                .headerUl {
                    li {
                        padding: 0px 10px;
                    }
                }
            }
        }
    }

    .footerSec {
        padding: 60px 0px 40px;

        .footerLogo {
            width: 350px;
        }

        .footerBtm {
            .footerBtmRow {
                .footerBtmDiv {
                    .footTxtPara {
                        font-size: 16px;
                        padding-left: 8px;

                        a {
                            &:first-child {
                                padding-left: 8px !important;
                            }
                        }
                    }

                    .footerBtmTxt {
                        .footIconDiv {
                            width: 32px;
                            height: 32px;
                            padding: 6px;
                        }

                        .footTxtInn {
                            width: calc(100% - 32px);
                            padding-left: 0;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 1300px) {
    .header {
        .nav_menu {
            .headerMenu {
                padding-right: 120px;
            }
        }
    }

    .breadcrumbWrap {
        .breadcrumb {
            li {
                a {
                    font-size: 16px !important;
                }

                &:first-child {
                    a {
                        padding-left: 80px;
                    }
                }
            }
        }
    }
}

@media (max-width: 1199px) {
    .header {
        .nav_menu {
            .logo_wrap {
                width: 200px;
            }

            .headerMenu {
                padding-right: 0;
                display: none;
            }

            .headerToggle {
                width: 35px;
                height: 35px;
                display: flex;
            }
        }

        &.stickyHeader {
            .nav_menu {
                .logo_wrap {
                    width: 150px;

                    i {
                        color: #fff;
                        font-size: 18px;
                    }
                }
            }
        }
    }

    .breadcrumbWrap {
        .breadcrumb {
            li {
                &:first-child {
                    a {
                        padding-left: 20px;
                    }
                }
            }
        }
    }
}

@media (max-width: 991px) {
    .footerSec {
        .footerLogo {
            width: 300px;
        }
    }
}

@media (max-width: 768px) {
    .header {
        padding: 12px 0px;

        .nav_menu {
            .logo_wrap {
                width: 180px;

                i {
                    color: #fff;
                    font-size: 18px;
                }
            }
        }

        &.stickyHeader {
            .nav_menu {
                .logo_wrap {
                    width: 140px;

                    i {
                        color: #fff;
                        font-size: 16px;
                    }
                }
            }
        }
    }
}

@media (max-width: 767px) {
    .footerSec {
        .footerBtm {
            .footerBtmRow {
                row-gap: 12px;

                .footerBtmCol {

                    &:not(:last-child) {
                        border-right: none;
                    }
                }
            }
        }
    }
}

@media (max-width: 480px) {
    .sideMenuWrap {
        width: 100%;
    }
}